Get All LI Query Configs
Get all query configs
Get all query configs
Request
URI
GET
https://{api_host}/suite-api/api/logs/queryconfigs
COPY
Query Parameters
integer
page
Optional
Constraints:
default: 0
Page number from which data needs to be displayed (0-based)
integer
pageSize
Optional
Constraints:
default: 1000
Expected number of entries per page
Responses
200
All query configs
Returns
LogsQueryConfigs
of type(s)
application/json
"{\n \"pageInfo\" : {\n \"totalCount\" : 1,\n \"page\" : 0,\n \"pageSize\" : 10\n },\n \"logsQueryConfigs\" : [ {\n \"id\" : \"09225bd3-6f56-4ea2-8bc3-a91a3b295b39\",\n \"name\" : \"LI Config Name\",\n \"description\" : \"LI Config Description\",\n \"queryFilters\" : {\n \"logQueryFiltersOperator\" : \"AND\",\n \"partitions\" : [ ],\n \"logQueryFilterConditions\" : [ {\n \"conditionField\" : \"485a194b-63e7-4fb1-9686-8a930989799d\",\n \"conditionValues\" : [ \"31c9b841-f966-4d78-aca1-410530e48c40\", \"9185662b-b4ab-4d09-935f-154dba463704\" ],\n \"queryFilterConditionOperatorType\" : \"CONTAINS\"\n }, {\n \"conditionField\" : \"485a194b-63e7-4fb1-9686-8a930989799d\",\n \"conditionValues\" : [ \"31c9b841-f966-4d78-aca1-410530e48c40\", \"9185662b-b4ab-4d09-935f-154dba463704\" ],\n \"queryFilterConditionOperatorType\" : \"CONTAINS\"\n } ]\n },\n \"queryText\" : [ \"text-1\", \"text-2\" ],\n \"dateRange\" : {\n \"fixedRange\" : \"LAST_7_DAYS\"\n },\n \"lastModifiedTime\" : 1753340214470,\n \"modifiedBy\" : \"admin\"\n } ]\n}"
array of
object
links
Optional
Collection of links
array of
object
logsQueryConfigs
Optional
Collection of Query Configurations.
object
pageInfo
Optional
Represents page information for a paged result
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/logs/queryconfigs
Logs Management Operations
GET
Get Log Configurations By Type
PUT
Create Or Update Log Configurations
DELETE
Delete Log Configuration Settings
GET
Get Log Forwarding Configuration
PUT
Update Log Forwarding Configuration
PUT
Disable Log Forwarding
PUT
Enable Log Forwarding
GET
Get All LI Query Configs
POST
Create Query Config
PUT
Update Query Config
DELETE
Delete LI Query Config
GET
Get LI Query Config